[Snort-users] Compiling problem in Solairs 2.6

Eswar the MAD snortetm at ...125...
Tue Jan 22 00:18:02 EST 2002


Hi,

I installed Flex from sunfreeware still i get the same messaged.

attached is the screen dump
--------------------------------
gcc  -g -O2 -Wall -L/home/dumps/libpcap_0_5rel2/ -o snort  snort.o log.o 
decode.
o mstring.o rules.o plugbase.o sp_pattern_match.o sp_tcp_flag_check.o 
sp_icmp_ty
pe_check.o sp_icmp_code_check.o sp_ttl_check.o sp_ip_id_check.o 
sp_tcp_ack_check
.o sp_tcp_seq_check.o sp_dsize_check.o spp_http_decode.o spp_portscan.o 
sp_ipopt
ion_check.o sp_rpc_check.o sp_icmp_id_check.o sp_icmp_seq_check.o 
sp_respond.o s
po_alert_syslog.o spo_log_tcpdump.o spo_database.o sp_session.o spp_defrag.o 
par
ser.o spo_alert_fast.o spo_alert_full.o spo_alert_smb.o spo_alert_unixsock.o 
sp_
react.o spo_xml.o sp_ip_tos_check.o snprintf.o checksum.o spp_tcp_stream2.o 
sp_r
eference.o sp_ip_fragbits.o spp_anomsensor.o tag.o spp_unidecode.o codes.o 
strlc
pyu.o strlcatu.o debug.o sp_tcp_win_check.o spp_rpc_decode.o spp_bo.o 
spp_telnet
_negotiation.o spo_csv.o sp_ip_same_check.o sp_priority.o sp_ip_proto.o 
ubi_BinT
ree.o ubi_SplayTree.o spo_unified.o spp_stream4.o spp_frag2.o spp_arpspoof.o 
spo
_idmef.o spo_SnmpTrap.o spo_log_null.o  -lpcap -lm -lsocket -lnsl
Undefined                       first referenced
symbol                             in file
yylex                               
/home/dumps/libpcap_0_5rel2//libpcap.a(gramm
ar.o)
lex_init                            
/home/dumps/libpcap_0_5rel2//libpcap.a(genco
de.o)
ld: fatal: Symbol referencing errors. No output written to snort
make[2]: *** [snort] Error 1
make[2]: Leaving directory `/home/dumps/snort-1.8.3'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/dumps/snort-1.8.3'
make: *** [all-recursive-am] Error 2
-----------------------------

Regards

SnortEtM!!


>From: Roelof JT Jonkman <roel at ...47...>
>To: "Eswar the MAD" <snortetm at ...125...>
>CC: snort-users at lists.sourceforge.net
>Subject: Re: [Snort-users] Compiling problem in Solairs 2.6
>Date: Mon, 21 Jan 2002 12:26:28 -0800
>
>Eswar,
>
> > I am trying to compile 1.8.3 on Solaris 2.6, its giving errors on make
>
>Configure/Compile libpcap with bison/flex installed. (bison and flex are
>gnuware, you can get it from http://www.sunfreeware.com)
>
>yacc/lex on solaris 2.6 is pretty dated, hence you got this problem.
>
>
>
>roel
>http://www.silicondefense.com
>
>
>
>
>_______________________________________________
>Snort-users mailing list
>Snort-users at lists.sourceforge.net
>Go to this URL to change user options or unsubscribe:
>https://lists.sourceforge.net/lists/listinfo/snort-users
>Snort-users list archive:
>http://www.geocrawler.com/redir-sf.php3?list=snort-users




_________________________________________________________________
Chat with friends online, try MSN Messenger: http://messenger.msn.com





More information about the Snort-users mailing list